gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.General

Contents

- Methods
  - Query

Description

Synopsis

- initGL :: IO [String]
- glQueryExtension :: IO Bool
- glQueryExtensionForDisplay :: Display -> IO Bool
- glQueryGLExtension :: String -> IO Bool
- glQueryVersion :: IO (Maybe (Int, Int))
- glQueryVersionForDisplay :: Display -> IO (Maybe (Int, Int))

# Methods

initGL :: IO [String]Source

## Query

glQueryExtension :: IO Bool Source

glQueryExtensionForDisplay :: Display -> IO Bool Source

glQueryGLExtension :: String -> IO Bool Source

glQueryVersion :: IO (Maybe (Int, Int))Source

glQueryVersionForDisplay :: Display -> IO (Maybe (Int, Int))Source